/*
 * $Id: ReloadableDefinitionsFactory.java 482630 2006-12-05 12:59:13Z apetrelli $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */


package org.apache.tiles.definition;

/**
 * Indicates support for reloading Tiles configuration when it changes.
 *
 * @version $Rev: 482630 $ $Date: 2006-12-05 07:59:13 -0500 (Tue, 05 Dec 2006) $
 */
public interface ReloadableDefinitionsFactory {

    /**
     * Indicates whether the DefinitionsFactory is out of date and needs to be
     * reloaded.
     */
    public boolean refreshRequired();
    
    /**
     * Refreshes the stored definitions, reloading them.
     * 
     * @throws DefinitionsFactoryException If something goes wrong during
     * refresh.
     */
    public void refresh() throws DefinitionsFactoryException;
}
