/*
 * $Id: RollingVectorEnumeration.java 494885 2007-01-10 16:41:39Z apetrelli $
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.tiles.util;

import java.util.Enumeration;
import java.util.Vector;

/**
 * @version $Rev: 494885 $ $Date: 2007-01-10 11:41:39 -0500 (Wed, 10 Jan 2007) $
 */
public class RollingVectorEnumeration<E> implements Enumeration<E> {
    
    private Vector<E> vector;
    
    private Enumeration<E> elements;
    
    public RollingVectorEnumeration(Vector<E> vector) {
        this.vector = vector;
    }

    public boolean hasMoreElements() {
        if (elements == null) {
            elements = vector.elements();
            return false;
        }
        return elements.hasMoreElements();
    }

    public E nextElement() {
        E retValue = elements.nextElement();
        
        if (!elements.hasMoreElements()) {
            elements = null;
        }
        
        return retValue;
    }

}
